> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query conversations

> Query conversations for the authenticated user



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/conversations/query
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/conversations/query:
    post:
      tags:
        - Conversations
      summary: Query conversations
      description: Query conversations for the authenticated user
      operationId: queryConversations
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConversationQueryParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponseConversationGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    ConversationQueryParam:
      type: object
      properties:
        cursor:
          type: string
          description: Cursor from the previous paginated response
          nullable: true
        limit:
          maximum: 250
          type: integer
          description: Page size, i.e. number of items to return per page
          format: int32
        sort:
          $ref: '#/components/schemas/ConversationSort'
        filter:
          $ref: '#/components/schemas/ConversationFilterParam'
    PaginatedResponseConversationGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: The data generated by the action performed.
          items:
            $ref: '#/components/schemas/ConversationGetDto'
        cursor:
          $ref: '#/components/schemas/ResponseCursor'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    ConversationSort:
      type: object
      properties:
        orderBy:
          type: string
          description: Sort column
          enum:
            - CREATED_DATE_TIME
            - SUBJECT
            - EMAIL
            - LAST_MESSAGE_CREATED_DATE_TIME
            - LAST_MESSAGE_TEXT
        direction:
          type: string
          description: Sort direction. Defaults to DESC
          enum:
            - ASC
            - DESC
      description: Sort order for the items in the response.
    ConversationFilterParam:
      type: object
      properties:
        subject:
          $ref: '#/components/schemas/StringFilter'
        attachedEntity:
          $ref: '#/components/schemas/AttachedEntityFilter'
        resolutionStatus:
          $ref: '#/components/schemas/ResolutionStatusListFilter'
        readStatus:
          $ref: '#/components/schemas/ReadStatusListFilter'
        authorUserId:
          $ref: '#/components/schemas/StringFilter'
        authorEmail:
          $ref: '#/components/schemas/StringFilter'
        company:
          $ref: '#/components/schemas/CompanyIdFilter'
      description: Filter for items in the response.
    ConversationGetDto:
      required:
        - attachedEntityId
        - author
        - company
        - createdDateTime
        - id
        - lastUpdatedDateTime
        - latestMessage
        - readStatus
        - resolutionStatus
        - status
        - subject
      type: object
      properties:
        id:
          type: string
          description: >-
            Id of the conversation, required when updating an existing
            conversation
          example: con_12345
        attachedEntityId:
          type: string
          description: Id of the entity associated with this conversation
          nullable: true
        company:
          $ref: '#/components/schemas/CompanyExpanded'
        subject:
          type: string
          description: Subject of the conversation
          example: Transaction review needed
        author:
          $ref: '#/components/schemas/AuthorInfo'
        latestMessage:
          $ref: '#/components/schemas/LatestMessageDto'
        status:
          type: string
          description: Status of the conversation
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        readStatus:
          type: string
          description: Read status of the conversation for the authenticated user
          example: UNREAD
          enum:
            - READ
            - UNREAD
        resolutionStatus:
          type: string
          description: Resolution status of the conversation
          example: OPEN
          enum:
            - OPEN
            - CLOSED
            - DRAFT
        createdDateTime:
          type: string
          description: Timestamp of when the conversation was created
          format: date-time
        lastUpdatedDateTime:
          type: string
          description: Timestamp of when the conversation was last updated
          format: date-time
      description: The data generated by the action performed.
    ResponseCursor:
      type: object
      properties:
        after:
          type: string
          description: >-
            After cursor - Fetches entities after this cursor. Useful for paging
            forwards.
        before:
          type: string
          description: >-
            Before cursor - Fetches entities before this cursor. Useful for
            paging backwards.
      description: >-
        Cursor to be used in your subsequent paginated request. Only populated
        if there are more pages available.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    StringFilter:
      type: object
      properties:
        equal:
          type: string
          description: >-
            Value - returns all records with specified field equal to this
            value.
        notEqual:
          type: string
          description: >-
            Value - returns all records with specified field not equal to this
            value.
        greaterThan:
          type: string
          description: >-
            Value - returns all records with specified field greater than to
            this value.
        greaterThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field greater than or
            equal to this value.
        lessThan:
          type: string
          description: >-
            Value - returns all records with specified field less than to this
            value.
        lessThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field less than or equal
            to this value.
        contain:
          type: string
          description: >-
            Value - returns all records with specified field containing this
            value.
      description: Name filter
    AttachedEntityFilter:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Ids'
      description: Attached entity filter
    ResolutionStatusListFilter:
      type: object
      properties:
        in:
          type: array
          description: List of values to include.
          items:
            type: string
            description: List of values to include.
            enum:
              - OPEN
              - CLOSED
              - DRAFT
        notIn:
          type: array
          description: List of values to exclude.
          items:
            type: string
            description: List of values to exclude.
            enum:
              - OPEN
              - CLOSED
              - DRAFT
      description: Resolution status filter
    ReadStatusListFilter:
      type: object
      properties:
        in:
          type: array
          description: List of values to include.
          items:
            type: string
            description: List of values to include.
            enum:
              - READ
              - UNREAD
        notIn:
          type: array
          description: List of values to exclude.
          items:
            type: string
            description: List of values to exclude.
            enum:
              - READ
              - UNREAD
      description: Read status filter
    CompanyIdFilter:
      type: object
      properties:
        in:
          maxItems: 5
          minItems: 0
          type: array
          description: Company IDs to include
          example:
            - co_123
            - co_456
          items:
            type: string
            description: Company IDs to include
            example: '["co_123","co_456"]'
      description: Company filter
    CompanyExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the company
          example: co_123456
        name:
          type: string
          description: Name of the company
          example: ACME Corp
      description: Company associated with this conversation
    AuthorInfo:
      required:
        - email
        - userId
      type: object
      properties:
        userId:
          type: string
          description: Id of the author
        email:
          type: string
          description: Email of the author
          nullable: true
          example: user@example.com
      description: List of authors who used this reaction
    LatestMessageDto:
      required:
        - author
        - id
        - text
      type: object
      properties:
        id:
          type: string
          description: Id of the latest message
          example: msg_67890
        author:
          $ref: '#/components/schemas/AuthorInfo'
        text:
          type: string
          description: Contents of the latest message
      description: The latest message associated with this conversation
    Ids:
      type: object
      properties:
        in:
          type: array
          description: List of values to include.
          items:
            type: string
            description: List of values to include.
      description: Id filter - returns all entities with the following attachments.
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````